Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#66350 - Missing dependency for terminator

Attached to Project: Community Packages
Opened by Vincenzo Maffione (vmaffione) - Wednesday, 22 April 2020, 12:10 GMT
Last edited by Doug Newgard (Scimmia) - Wednesday, 22 April 2020, 13:01 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

After an upgrade, running terminator (version 1.92-1) results in the following exception:

Traceback (most recent call last):
File "/usr/bin/terminator", line 48, in <module>
import terminatorlib.optionparse
File "/usr/lib/python3.8/site-packages/terminatorlib/optionparse.py", line 24, in <module>
from . import config
File "/usr/lib/python3.8/site-packages/terminatorlib/config.py", line 75, in <module>
from configobj import ConfigObj, flatten_errors
ModuleNotFoundError: No module named 'configobj'

This can be fixed by installing the missing dependency "python-configobj" (version 5.0.6-7),
which does not appear as a dependency for terminator.
This task depends upon

Closed by  Doug Newgard (Scimmia)
Wednesday, 22 April 2020, 13:01 GMT
Reason for closing:  Duplicate
Additional comments about closing:   FS#66329   FS#66332   FS#66337   FS#66345 

Loading...